import { EditorView } from '@codemirror/view';
import { CasketView } from '~/CasketStar.vue';
import { IconDefinition } from '@fortawesome/fontawesome-svg-core';
export interface Tool {
    name: string;
    icon: IconDefinition;
    active?: (codemirror: EditorView, casketstar: CasketView, container: HTMLDivElement) => boolean;
    func: (codemirror: EditorView, casketstar: CasketView, container: HTMLDivElement) => void;
}
export type ToolGroup = Tool[];
export type Toolbar = ToolGroup[];
declare const _default: import("vue").DefineComponent<__VLS_TypePropsToOption<{
    toolbarL?: Toolbar | undefined;
    toolbarR?: Toolbar | undefined;
    getCodemirror: () => EditorView | undefined;
    getCasketstar: () => CasketView | undefined;
    dialog: HTMLDivElement | null;
    disabled?: boolean | undefined;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<__VLS_TypePropsToOption<{
    toolbarL?: Toolbar | undefined;
    toolbarR?: Toolbar | undefined;
    getCodemirror: () => EditorView | undefined;
    getCasketstar: () => CasketView | undefined;
    dialog: HTMLDivElement | null;
    disabled?: boolean | undefined;
}>>>, {}, {}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToOption<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
